package com.philisense.www.service.impl;



import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.philisense.www.dao.SystemNoticeFileDAO;
import com.philisense.www.service.SystemNoticeFileService;

import java.util.List;
import java.util.Map;

@Service
public class SystemNoticeFileServiceImpl implements SystemNoticeFileService {

        @Autowired
        private SystemNoticeFileDAO systemNoticeFileDAO;

        @Override
        public int deleteByPrimaryKey(String id) {
            return systemNoticeFileDAO.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return systemNoticeFileDAO.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return systemNoticeFileDAO.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return systemNoticeFileDAO.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return systemNoticeFileDAO.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return systemNoticeFileDAO.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return systemNoticeFileDAO.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return systemNoticeFileDAO.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return systemNoticeFileDAO.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return systemNoticeFileDAO.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            systemNoticeFileDAO.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            systemNoticeFileDAO.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            systemNoticeFileDAO.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> getApprovalTopToHomePage(Map<String, Object> map) {
        return systemNoticeFileDAO.getApprovalTopToHomePage(map);
    }

    @Override
    public List<Map<String, Object>> getBatch(List<Map<String, Object>> list) {
        return systemNoticeFileDAO.getBatch(list);
    }
}